Skip to main content
GET
/
api
/
{exchange}
/
fetchTrades
import pmxt # API key optional — enables faster catalog-backed lookups exchange = pmxt.Polymarket( pmxt_api_key="YOUR_PMXT_API_KEY", ) result = exchange.fetch_trades( outcome_id="67890", start="value", end="value", limit=10, )
{
  "success": true,
  "error": {
    "message": "<string>"
  },
  "data": [
    {
      "id": "<string>",
      "timestamp": 123,
      "price": 123,
      "amount": 123,
      "outcomeId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://pmxt-docs-fetch-order-book-historical-clarity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

exchange
enum<string>
required

The prediction market exchange to target.

Available options:
polymarket,
kalshi,
kalshi-demo,
limitless,
probable,
baozi,
myriad,
opinion,
metaculus,
smarkets,
polymarket_us,
gemini-titan,
hyperliquid,
suibets,
mock,
router

Query Parameters

outcomeId
string
required
start
string<date-time>

Start of the time range

end
string<date-time>

End of the time range

limit
number

Maximum number of results to return (max {@link MAX_TRADES_LIMIT})

Response

200 - application/json

Fetch Trades response

success
boolean
Example:

true

error
object
data
object[]